Bug 1472807 (CVE-2017-9765)

Summary: CVE-2017-9765 gsoap: Stack-based buffer overflow when receieving XML message with size larger than 2GB
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: mattias.ellert, rocha.porto
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20170621,reported=20170719,source=internet,cvss3=8.1/CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H,cwe=CWE-121,fedora-all/gsoap=affected,epel-all/gsoap=affected
Fixed In Version: gsoap 2.8.48 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:17:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1472808, 1472809    
Bug Blocks:    

Description Adam Mariš 2017-07-19 12:37:14 UTC
A buffer overflow can cause an open unsecured server to crash after 2GB (greater than 2147483711 bytes to trigger the software bug)) XML message is received. Fortunately, the overflowing data after 2GB is cleaned up in the buffer which means that the chances of exploiting this flaw (by injecting code) is significantly reduced in gSOAP versions affected.

References:

https://www.genivia.com/advisory.html

Comment 1 Adam Mariš 2017-07-19 12:38:39 UTC
Created gsoap tracking bugs for this issue:

Affects: epel-all [bug 1472808]
Affects: fedora-all [bug 1472809]

Comment 2 Andrej Nemec 2017-07-20 07:28:45 UTC
References:

http://seclists.org/oss-sec/2017/q3/190

Comment 3 Product Security DevOps Team 2019-06-08 03:17:02 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.